Generate and fetch MDR Usage Report
Generate and fetch messaging usage report synchronously. This endpoint will both generate and fetch the messaging report over a specified time period. No polling is necessary but the response may take up to a couple of minutes.
GET
/
reports
/
mdr_usage_reports
/
sync
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.reports.mdrUsageReports.fetchSync({ aggregation_type: 'PROFILE' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.reports.mdr_usage_reports.fetch_sync(
aggregation_type="PROFILE",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Reports.MdrUsageReports.FetchSync(context.TODO(), telnyx.ReportMdrUsageReportFetchSyncParams{
AggregationType: telnyx.ReportMdrUsageReportFetchSyncParamsAggregationTypeProfile,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.reports.mdrusagereports.MdrUsageReportFetchSyncParams;
import com.telnyx.sdk.models.reports.mdrusagereports.MdrUsageReportFetchSyncResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MdrUsageReportFetchSyncParams params = MdrUsageReportFetchSyncParams.builder()
.aggregationType(MdrUsageReportFetchSyncParams.AggregationType.PROFILE)
.build();
MdrUsageReportFetchSyncResponse response = client.reports().mdrUsageReports().fetchSync(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.reports.mdr_usage_reports.fetch_sync(aggregation_type: :PROFILE)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->reports->mdrUsageReports->fetchSync(
aggregationType: 'PROFILE',
endDate: new \DateTimeImmutable('2020-07-01T00:00:00-06:00'),
profiles: ['My profile'],
startDate: new \DateTimeImmutable('2020-07-01T00:00:00-06:00'),
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx reports:mdr-usage-reports fetch-sync \
--api-key 'My API Key' \
--aggregation-type PROFILEcurl --request GET \
--url https://api.telnyx.com/v2/reports/mdr_usage_reports/sync \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00",
"connections": [
123
],
"report_url": "http://portal.telnyx.com/downloads/report_name_8hvb45Gu.csv",
"result": [
{
"cost": "0",
"direction": "outbound",
"product": "outbound",
"connection": "all",
"received": "0",
"delivered": "0",
"currency": "USD",
"parts": "0",
"sent": "0",
"profile_id": "All",
"tags": "All",
"message_type": "SMS",
"tn_type": "TF",
"carrier_passthrough_fee": "0"
}
],
"created_at": "2020-07-01T00:00:00-06:00",
"updated_at": "2020-07-01T00:00:00-06:00",
"profiles": "My profile",
"record_type": "mdr_usage_report"
}
}{
"errors": [
{
"code": "10011",
"title": "Bad Request",
"detail": "Invalid parameter value"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start of the date range filter (inclusive, ISO 8601).
Example:
"2020-07-01T00:00:00-06:00"
End of the date range filter (inclusive, ISO 8601).
Example:
"2020-07-01T00:00:00-06:00"
Type of aggregation to apply to the results.
Available options:
NO_AGGREGATION, PROFILE, TAGS Example:
"PROFILE"
Filter results by profile.
Example:
["My profile"]Response
Successful
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.reports.mdrUsageReports.fetchSync({ aggregation_type: 'PROFILE' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.reports.mdr_usage_reports.fetch_sync(
aggregation_type="PROFILE",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Reports.MdrUsageReports.FetchSync(context.TODO(), telnyx.ReportMdrUsageReportFetchSyncParams{
AggregationType: telnyx.ReportMdrUsageReportFetchSyncParamsAggregationTypeProfile,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.reports.mdrusagereports.MdrUsageReportFetchSyncParams;
import com.telnyx.sdk.models.reports.mdrusagereports.MdrUsageReportFetchSyncResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MdrUsageReportFetchSyncParams params = MdrUsageReportFetchSyncParams.builder()
.aggregationType(MdrUsageReportFetchSyncParams.AggregationType.PROFILE)
.build();
MdrUsageReportFetchSyncResponse response = client.reports().mdrUsageReports().fetchSync(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.reports.mdr_usage_reports.fetch_sync(aggregation_type: :PROFILE)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->reports->mdrUsageReports->fetchSync(
aggregationType: 'PROFILE',
endDate: new \DateTimeImmutable('2020-07-01T00:00:00-06:00'),
profiles: ['My profile'],
startDate: new \DateTimeImmutable('2020-07-01T00:00:00-06:00'),
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx reports:mdr-usage-reports fetch-sync \
--api-key 'My API Key' \
--aggregation-type PROFILEcurl --request GET \
--url https://api.telnyx.com/v2/reports/mdr_usage_reports/sync \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00",
"connections": [
123
],
"report_url": "http://portal.telnyx.com/downloads/report_name_8hvb45Gu.csv",
"result": [
{
"cost": "0",
"direction": "outbound",
"product": "outbound",
"connection": "all",
"received": "0",
"delivered": "0",
"currency": "USD",
"parts": "0",
"sent": "0",
"profile_id": "All",
"tags": "All",
"message_type": "SMS",
"tn_type": "TF",
"carrier_passthrough_fee": "0"
}
],
"created_at": "2020-07-01T00:00:00-06:00",
"updated_at": "2020-07-01T00:00:00-06:00",
"profiles": "My profile",
"record_type": "mdr_usage_report"
}
}{
"errors": [
{
"code": "10011",
"title": "Bad Request",
"detail": "Invalid parameter value"
}
]
}